Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364591 - MythTV-Setup via X11 Forwarding Broken
Summary: MythTV-Setup via X11 Forwarding Broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 23
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 20:51 UTC by Marcel Ziswiler
Modified: 2016-12-20 21:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:18:39 UTC


Attachments (Terms of Use)

Description Marcel Ziswiler 2016-08-05 20:51:10 UTC
Description of problem:

Trying to bring up mythtv-setup via X11 forwarding to a Intel graphics based Fedora 23 client never shows anything.

Version-Release number of selected component (if applicable):

mythtv-setup-0.28-3.fc23.x86_64
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

How reproducible:

Trying to bring up mythtv-setup via X11 forwarding to a Intel graphics based client never shows anything.

Steps to Reproduce:
1. ssh -X user@host
2. sudo -E mythtv-setup

Actual results:

Nothing ever show on client.

Expected results:

MythTV's setup GUI should show in full screen on client.

Additional info:

As follows the exact output when launching mythtv-setup:

[user@server ~]$ sudo -E mythtv-setup
2016-08-05 18:04:26.153943 I  Setup Interrupt handler
2016-08-05 18:04:26.153955 I  Setup Terminated handler
2016-08-05 18:04:26.153966 I  Setup Segmentation fault handler
2016-08-05 18:04:26.153973 I  Setup Aborted handler
2016-08-05 18:04:26.153981 I  Setup Bus error handler
2016-08-05 18:04:26.153994 I  Setup Floating point exception handler
2016-08-05 18:04:26.154001 I  Setup Illegal instruction handler
2016-08-05 18:04:26.154011 I  Setup Real-time signal 0 handler
2016-08-05 18:04:26.154018 I  Setup Hangup handler
2016-08-05 18:04:26.154109 C  mythtv-setup version: fixes/0.28 [v28.0-35-g812ec08] www.mythtv.org
2016-08-05 18:04:26.154117 C  Qt version: compile: 5.6.0, runtime: 5.6.1
2016-08-05 18:04:26.154120 N  Enabled verbose msgs:  general
2016-08-05 18:04:26.154131 N  Setting Log Level to LOG_INFO
2016-08-05 18:04:26.164838 I  Added logging to the console
2016-08-05 18:04:26.364404 N  Using runtime prefix = /usr
2016-08-05 18:04:26.364411 N  Using configuration directory = /home/sumo/.mythtv
2016-08-05 18:04:26.364470 I  Assumed character encoding: en_GB.UTF-8
2016-08-05 18:04:26.364836 N  Empty LocalHostName.
2016-08-05 18:04:26.364841 I  Using localhost value of lnxsrv.ziswiler.net
2016-08-05 18:04:26.376935 N  Setting QT default locale to en_GB
2016-08-05 18:04:26.376939 I  Current locale en_GB
2016-08-05 18:04:26.377043 N  Reading locale defaults from /usr/share/mythtv//locales/en_gb.xml
2016-08-05 18:04:26.416097 I  Starting process manager
2016-08-05 18:04:26.416122 I  Starting IO manager (write)
2016-08-05 18:04:26.416178 I  Starting IO manager (read)
2016-08-05 18:04:26.416221 I  Starting process signal handler
2016-08-05 18:04:26.473072 I  ScreenSaverX11Private: DPMS is active.
2016-08-05 18:04:26.501544 N  Desktop video mode: 2560x1440 59.951 Hz
2016-08-05 18:04:26.900822 I  Loading en_gb translation for module mythfrontend
2016-08-05 18:04:26.901302 E  LIRC: Failed to connect to Unix socket '/var/run/lirc/lircd'
			eno: No such file or directory (2)
2016-08-05 18:04:26.901328 I  No joystick configuration found, not enabling joystick control
2016-08-05 18:04:27.106997 E  CECAdapter: Failed to find any CEC devices.
2016-08-05 18:04:27.107273 I  CECAdapter: Closing down CEC.
2016-08-05 18:04:27.107289 I  UDPListener: Enabling
2016-08-05 18:04:27.110606 I  Binding to UDP 127.0.0.1:6948
2016-08-05 18:04:27.110670 I  Binding to UDP 10.10.1.2:6948
2016-08-05 18:04:27.110727 I  Binding to UDP [::1]:6948
2016-08-05 18:04:27.111422 I  Binding to UDP [fe80::a248:1cff:fe66:d5e8%ens4f0]:6948
2016-08-05 18:04:27.111495 I  Binding to UDP 10.10.1.255:6948
2016-08-05 18:04:27.145229 I  Using Frameless Window
2016-08-05 18:04:27.145235 I  Using Full Screen Window
=> nothing shown on client

The clients journal shows the following:

Aug 05 18:04:26 marcel-pc.toradex.int /usr/libexec/gdm-x-session[3597]: (--) intel(0): HDMI max TMDS frequency 300000KHz
Aug 05 18:04:26 marcel-pc.toradex.int /usr/libexec/gdm-x-session[3597]: (--) intel(0): HDMI max TMDS frequency 300000KHz

What's going on here?

BTW: The same on a similar Fedora 23 workstation albeit with an NVIDIA graphics card works just fine!

Comment 1 Fedora End Of Life 2016-11-25 09:29:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 21:18:39 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.